### Method

# Vips Image get_typeof

#### Declaration [src]

    GType
    vips_image_get_typeof (
      const VipsImage* image,
      const char* name
    )

#### Description [src]

Read the `GType` for a header field. Returns zero if there is no field of that name.

See also

`vips_image_get()`.

#### Parameters

`name`

  Type: `const char*`

  The name to search for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GType`

The `GType` of the field, or zero if there is no field of that name.